.App {
  text-align: left;
}

#app-screen {
  background-color: gray;
  display: flex;
  flex-direction: column;
}

.App-header {
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  font-size: calc(10px + 2vmin);
  color: white;
}

.column {
  float: left;
}

.editor {
  align-self: auto;
  right: 0;
  width: 80%;
  height: 100%;
  margin-left: 355px;
}

.editor-inner {
  height: "90%";
  clear: "both";
  border-radius: "0px 0px 10px 10px";
  overflow: "hidden";
  resize: "vertical";
}

.confirm-box{
  background-color: red;
  height: 200px;
  width: 300px;
  box-sizing: border-box;
  text-align: center;
  position: absolute;
  top: 60%;
  left: 50%;
}

/* Interact drag and drop */
#outer-dropzone {
  height: 140px;
}

#inner-dropzone {
  height: 80px;
}

.dropzone {
  background-color: #bfe4ff;
  border: dashed 4px transparent;
  border-radius: 4px;
  margin: 10px auto 30px;
  padding: 10px;
  /*width: auto;*/
  /*box-sizing: border-box;*/
  transition: background-color 0.3s;
}

.drop-active {
  border-color: #aaa;
}

.drop-target {
  background-color: #29e;
  border-color: #fff;
  border-style: solid;
}

.drag-drop {
  display: inline-block;
  min-width: 40px;
  padding: 2em 0.5em;
  margin: 1rem 0 0 1rem;

  color: #fff;
  background-color: #29e;
  border: solid 2px #fff;

  touch-action: none;
  transform: translate(0px, 0px);

  transition: background-color 0.3s;
}

.drag-drop.can-drop {
  color: #000;
  background-color: #4e4;
}
/* End interact drag and drop */

.btn-bs {
  box-sizing: content-box;
  width: 1em;
  height: 1em;
  padding: 0.25em 0.25em;
  color: #000;
  border: 0;
  border-radius: 0.25rem;
  opacity: 0.75;
}

.btn-small {
  max-width: 6rem;
  padding: 0.25rem 0.5rem;
  font-size: .875rem;
  border-radius: 0.2rem;
  overflow: hidden;
  text-overflow: ellipsis; 
}

.sidebar {
  position: fixed;
  color: white;
  height: 100%;
  width: 350px;
  left: 0;
  background: whitesmoke; /* #1b1b1b; */
  border-right: 1px solid black;
  transition: 850ms;
}

.sidebar-action-button {
  width: 48%;
  margin-bottom: 20px;
}

.sidebar .text {
  color: black;
  font-size: 25px;
  font-weight: 600;
  line-height: 65px;
  text-align: center;
  letter-spacing: 1px;
}

nav ul {
  background: whitesmoke; /* #1b1b1b; */
  height: 100%;
  width: 100%;
  list-style: none;
}

nav ul li {
  line-height: 60px;
  border-bottom: 1px solid rgba(255, 255, 255, 0.1);
}

nav ul li a {
  position: relative;
  color:black;
  text-decoration: none;
  font-size: 18px;
  padding-left: 20px;
  font-weight: 500;
  display: block;
  width: 100%;
  border-left: 2px solid transparent;
}

nav ul li a:hover {
  color:black;
  background: lightgrey; /* #1e1e1e */
  border-left-color: black;
}

nav ul ul li {
  line-height: 42px;
  border-bottom: none;
}

nav ul ul li a {
  font-size: 17px;
  color: black;
  padding-left: 20px;
  overflow: hidden;
}

nav ul ul li a:hover {
  border-left-color: #1b1b1b;
}

nav ul li a span {
  position: absolute;
  top: 50%;
  right: 20px;
  transform: translateY(-50%);
  font-size: 22px;
}

.content {
  padding: 0 18px;
  overflow: hidden;
  max-height: 420px;
  overflow-y: auto;
  display: none;
}

.collapsible {
  background-color: whitesmoke;
  transition: 250ms;
}

.active {
  background-color: rgb(199, 198, 198); /* #383838 */
  transition: 250ms;
}

.token1 {
  /*
  font-weight: bold;
  font-size: large;
  cursor: move;
  */
}


.keyword::before {
  content: "🔑";
  color: rgb(36, 132, 161);
}

.identifier::before {
  content: "🆔";
  color: rgb(25, 192, 25);
}

.number::before {
  content: "🔢";
  color:rgb(6, 145, 209)
}

.string::before {
  content: "🔤";
  color:rgb(255, 147, 46)
}

.cardinality-one::before {
  content: "[1]";
  color: gold;
}

.cardinality-zero-or-one::before {
  content: "[0..1]";
  color: gold;
}

.cardinality-zero-or-more::before {
  content: "[0..N]";
  color: gold;
}

.cardinality-one-or-more::before {
  content: "[1..N]";
  color: gold;
}

